ATA_MSLEEP(9)

NAME
ata_msleep - ATA EH owner aware msleep

SYNOPSIS

void ata_msleep(struct ata_port * ap, unsigned int msecs);

ARGUMENTS

ap
    ATA port to attribute the sleep to

msecs
    duration to sleep in milliseconds

DESCRIPTION

Sleeps msecs. If the current task is owner of ap's EH, the ownership is released before going to sleep and reacquired after the sleep is complete. IOW, other ports sharing the ap->host will be allowed to own the EH while this task is sleeping.

LOCKING

Might sleep.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT